Xapian::MatchDecider Class Referenceabstract

Base class for matcher decision functor. More...

`#include <enquire.h>`

Inheritance diagram for Xapian::MatchDecider:
[legend]

## Public Member Functions

| MatchDecider ()
| Default constructor.
virtual bool | operator() (const Xapian::Document &doc) const =0
| Decide whether we want this document to be in the MSet.
virtual | ~MatchDecider ()
| Destructor.

## Detailed Description

Base class for matcher decision functor.

## Member Function Documentation

## operator()()

virtual bool Xapian::MatchDecider::operator() | ( | const Xapian::Document & | doc | ) | const

pure virtual

Decide whether we want this document to be in the MSet.

Parameters

  doc | The document to test.

Returns
  true if the document is acceptable, or false if the document should be excluded from the MSet.

Implemented in Xapian::ValueSetMatchDecider.

The documentation for this class was generated from the following file:

- xapian/enquire.h